> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a inventory health report

> Create an "inventory health" report (Amazon Vendor). The generated report CSV contains the columns defined in the `InventoryHealthReportColumns` schema including sellable, unhealthy, aged, and unsellable inventory metrics. Use the /reports/status/{reportId} endpoint to check report status and obtain the download URL.



## OpenAPI

````yaml /api-reference/openapi.json post /reports/create/inventoryHealth
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /reports/create/inventoryHealth:
    post:
      tags:
        - report
      summary: Create a inventory health report
      description: >-
        Create an "inventory health" report (Amazon Vendor). The generated
        report CSV contains the columns defined in the
        `InventoryHealthReportColumns` schema including sellable, unhealthy,
        aged, and unsellable inventory metrics. Use the
        /reports/status/{reportId} endpoint to check report status and obtain
        the download URL.
      operationId: createInventoryHealthReport
      requestBody:
        description: Report criteria
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInventoryHealthReportRequest'
        required: true
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportResponse'
            text/csv:
              schema:
                $ref: '#/components/schemas/InventoryHealthReportColumns'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    CreateInventoryHealthReportRequest:
      type: object
      properties:
        channelId:
          type: string
        merchantId:
          type: string
        reportOptions:
          $ref: '#/components/schemas/CommonReportOptions'
    CreateReportResponse:
      type: object
      properties:
        reportId:
          type: string
        reportType:
          type: string
        status:
          type: string
    InventoryHealthReportColumns:
      type: object
      description: >-
        Columns present in the downloadable Inventory Health report CSV (Amazon
        Vendor).
      properties:
        title:
          type: string
          description: Product title
        asin:
          type: string
          description: Amazon Standard Identification Number
        vpi:
          type: string
          description: Vendor Product Identifier
        brand:
          type: string
          description: Brand name
        categoryLabel:
          type: string
          description: Product category
        sellableInventoryCost:
          type: number
          description: Cost of sellable inventory
        sellableInventoryUnits:
          type: number
          description: Number of sellable inventory units
        unhealthyInventoryCost:
          type: number
          description: Cost of unhealthy inventory
        unhealthyInventoryUnits:
          type: number
          description: Number of unhealthy inventory units
        aged90DaysCost:
          type: number
          description: Cost of inventory aged over 90 days
        aged90DaysUnits:
          type: number
          description: Units of inventory aged over 90 days
        unsellableInventoryCost:
          type: number
          description: Cost of unsellable inventory
        unsellableInventoryUnits:
          type: number
          description: Number of unsellable inventory units
        receivedInventoryCost:
          type: number
          description: Cost of received inventory
        receivedInventoryUnits:
          type: number
          description: Number of received inventory units
        unitsShipped:
          type: number
          description: Total units shipped
        daysCover:
          type: number
          description: Estimated days of inventory cover
        unfilledInventory:
          type: number
          description: Unfilled inventory units
        openPo:
          type: number
          description: Open purchase orders
        sellThroughRate:
          type: number
          description: Sell-through rate percentage
        averageVendorLeadTimeDays:
          type: number
          description: Average vendor lead time in days
        netFilledRate:
          type: number
          description: Net filled rate (received units / total ordered units)
        sourceableProductOutOfStockRate:
          type: number
          description: Out of stock rate for sourceable products (percentage)
        procurableProductOutOfStockRate:
          type: number
          description: Out of stock rate for procurable products (percentage)
    CommonReportOptions:
      type: object
      properties:
        fromDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the start of the reporting
            period
        toDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the end of the reporting
            period
        priorFromDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the start of the comparison
            period
        priorToDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the end of the comparison
            period
        timezone:
          type: string
          description: >-
            The timezone string you wish to see the report in (e.g.
            'America/Los_Angeles') see
            https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````